Package org.gdal.osr

## Class CoordinateTransformationOptions

- java.lang.Object
- - org.gdal.osr.CoordinateTransformationOptions

-     public class CoordinateTransformationOptions
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoordinateTransformationOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `SetAreaOfInterest​(double westLongitudeDeg, double southLatitudeDeg, double eastLongitudeDeg, double northLatitudeDeg)` |
    `boolean` | `SetBallparkAllowed​(boolean allowBallpark)` |
    `boolean` | `SetDesiredAccuracy​(double accuracy)` |
    `boolean` | `SetOnlyBest​(boolean onlyBest)` |
    `boolean` | `SetOperation​(java.lang.String operation)` |
    `boolean` | `SetOperation​(java.lang.String operation, boolean inverseCT)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoordinateTransformationOptions

          public CoordinateTransformationOptions()

  - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### SetAreaOfInterest

          public boolean SetAreaOfInterest​(double westLongitudeDeg,
                                           double southLatitudeDeg,
                                           double eastLongitudeDeg,
                                           double northLatitudeDeg)

    - #### SetOperation

          public boolean SetOperation​(java.lang.String operation,
                                      boolean inverseCT)

    - #### SetOperation

          public boolean SetOperation​(java.lang.String operation)

    - #### SetDesiredAccuracy

          public boolean SetDesiredAccuracy​(double accuracy)

    - #### SetBallparkAllowed

          public boolean SetBallparkAllowed​(boolean allowBallpark)

    - #### SetOnlyBest

          public boolean SetOnlyBest​(boolean onlyBest)